--[[
MobileVault_Sharing - Optional module to enable sharing and syncing of the guild bank
using LibGuildBankComm-1.0
Author: Michael Joseph Murray aka Lyte of Lothar(US)
Please see license.txt for details.
$Revision: 186 $
$Date: 2011-04-06 07:05:31 +0000 (Wed, 06 Apr 2011) $
Project Version: r186
contact: codemaster2010 AT gmail DOT com

Copyright (c) 2007-2011 Michael J. Murray aka Lyte of Lothar(US)
All rights reserved unless otherwise explicitly stated.
]]

local MGV = LibStub("AceAddon-3.0"):GetAddon("MobileVault")
local LGBC = LibStub("LibGuildBankComm-1.0")

local Sharing = MGV:NewModule("MobileVault_Sharing")

function Sharing:OnEnable()
	LGBC.RegisterCallback(self, "GuildBankComm_PageUpdate", "OnPageSync")
	LGBC.RegisterCallback(self, "GuildBankComm_FundsUpdate", "OnMoneySync")
	LGBC.RegisterCallback(self, "GuildBankComm_TabsUpdate", "OnTabSync")
end

function Sharing:OnPageSync(event, sender, page, guildName)
	--@alpha@
	print("Page Sync", page, "from", sender, "for guild", guildName)
	--@end-alpha@
end

function Sharing:OnMoneySync(event, sender, newFunds, guildName)
	--@alpha@
	print("Money Sync from", sender, "for guild", guildName)
	--@end-alpha@
end

function Sharing:OnTabSync(event, sender, numTabs, guildName)
	--@alpha@
	print("Tab Sync from", sender, "for guild", guildName)
	--@end-alpha@
end
